## Debian-1.2.tar

=== yp/Makefile ===
#
# Makefile for the NIS databases
#
# $Id: ypMakefile.in,v 1.0.4.1 1996/07/14 15:10:45 kukuk Exp $
#
# This Makefile should only be run on the NIS master server of a domain.
# All updated maps will be pushed to all NIS slave servers listed in the
# /var/yp/ypservers file. Please make sure that the hostnames of all
# NIS servers in your domain are listed in /var/yp/ypservers.
#
# This Makefile can be modified to support more NIS maps if desired.
#

# If this machine is an NIS master, comment out this next line so
# that changes to the NIS maps can be propagated to the slave servers.
# (By default we assume that we are only serving a small domain with
# only one server.)
#
NOPUSH = "True"

# We do not put password entries with lower UIDs (the root and system
# entries) in the NIS password database, for security. MINUID is the
# lowest uid that will be included in the password maps.
#
MINUID=20
 
# These are commands which this Makefile needs to properly rebuild the
# NIS databases. Don't change these unless you have a good reason. Also
# be sure not to place an @ in front of /usr/bin/awk: it isn't necessary
# and it'll break everything in sight.
#
AWK = /usr/bin/gawk
RM  = @/bin/rm -f
RCAT = /bin/cat
CAT = @$(RCAT)

#
# These are the source directories for the NIS files; normally
# that is /etc but you may want to move the source for the password
# and group files to (for example) /var/yp/ypfiles. The directory
# for passwd and group is defined by YPPWDDIR, the rest is taken
# from YPSRCDIR.
#
YPSRCDIR = /etc
YPPWDDIR = /etc
YPBINDIR = /usr/lib/yp
YPSBINDIR = /usr/sbin
YPDIR = /var/yp
YPMAPDIR = $(YPDIR)/$(DOMAIN)

DBLOAD = $(YPBINDIR)/makedbm -m `hostname`
MKNETID = $(YPBINDIR)/mknetid
YPPUSH = $(YPSBINDIR)/yppush
DOMAIN = `basename \`pwd\``
LOCALDOMAIN = `/bin/domainname`
REVNETGROUP = $(YPBINDIR)/revnetgroup

# These are the files from which the NIS databases are built. You may edit
# these to taste in the event that you wish to keep your NIS source files
# seperate from your NIS server's actual configuration files. 
#
GROUP     = $(YPPWDDIR)/group
PASSWD    = $(YPPWDDIR)/passwd
SHADOW	  = $(YPPWDDIR)/shadow
ALIASES	  = $(YPSRCDIR)/aliases
ETHERS    = $(YPSRCDIR)/ethers	   # ethernet addresses (for rarpd)
BOOTPARAMS= $(YPSRCDIR)/bootparams # for booting Sun boxes (bootparamd)
HOSTS     = $(YPSRCDIR)/hosts
NETWORKS  = $(YPSRCDIR)/networks
PROTOCOLS = $(YPSRCDIR)/protocols
PUBLICKEYS= $(YPSRCDIR)/publickey
RPC 	  = $(YPSRCDIR)/rpc
SERVICES  = $(YPSRCDIR)/services
NETGROUP  = $(YPSRCDIR)/netgroup
AMD_HOME  = $(YPSRCDIR)/amd.home
YPSERVERS = $(YPDIR)/ypservers	# List of all NIS servers for a domain

target: 
	@if [ ! -d $(LOCALDOMAIN) ]; then mkdir $(LOCALDOMAIN); fi; \
	cd $(LOCALDOMAIN) ; echo "NIS Map update started on `date`" ; \
	if [ ! $(NOPUSH) ]; then make -f ../Makefile ypservers; fi; \
	make -f ../Makefile all; echo "NIS Map update completed."

# If you don't want some of these maps built, feel free to comment
# them out from this list.
# Note that we don't build the ethers or bootparams maps by default
# since /etc/ethers and /etc/bootparams are not likely to be present
# on all systems.
#

all:  passwd hosts group netid networks protocols rpc services netgrp \
	 ypservers # shadow ethers mail publickey amd.home bootparams

ethers:	   ethers.byname ethers.byaddr
hosts:	   hosts.byname hosts.byaddr
networks:  networks.byaddr networks.byname
protocols: protocols.bynumber protocols.byname
rpc:	   rpc.byname rpc.bynumber
services:  services.byname
passwd:    passwd.byname passwd.byuid
group:     group.byname group.bygid
shadow:	   shadow.byname
netid:	   netid.byname
netgrp:	   netgroup netgroup.byhost netgroup.byuser
publickey: publickey.byname
mail:	   mail.aliases

ypservers: $(YPSERVERS)
	@echo "Updating $@..."
	$(CAT) $(YPSERVERS) | \
	$(AWK) '{ if ($$1 != "" && $$1 !~ "#") print $$0"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(YPSERVERS) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


ethers.byname: $(ETHERS)
	@echo "Updating $@..."
	$(CAT) $(ETHERS) | \
	$(AWK) '{ if ($$1 != "" && $$1 !~ "#" && $$1 != "+") \
		print $$2"\t"$$0 }' $^ | $(DBLOAD) -i $(ETHERS) \
						-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


ethers.byaddr: $(ETHERS)
	@echo "Updating $@..."
	$(CAT) $(ETHERS) | \
	$(AWK) '{ if ($$1 != "" && $$1 !~ "#" && $$1 != "+") \
		print $$1"\t"$$0 }' $^ | $(DBLOAD) -i $(ETHERS) \
						-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


bootparams: $(BOOTPARAMS)
	@echo "Updating $@..."
	$(CAT) $(BOOTPARAMS) | \
	$(AWK) '{ if ($$1 != "" && $$1 !~ "#" && $$1 != "+") \
		print $$0 }' $^ | $(DBLOAD) -i $(BOOTPARAMS) \
						-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


netgroup: $(NETGROUP)
	@echo "Updating $@..."
	$(CAT) $(NETGROUP) | \
	$(AWK) '{ if ($$1 != "" && $$1 !~ "#" && $$1 != "+") \
		print $$0 }' $^ | $(DBLOAD) -i $(NETGROUP) \
						-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


netgroup.byhost: $(NETGROUP)
	@echo "Updating $@..."
	$(CAT) $(NETGROUP) | $(REVNETGROUP) -h | \
		$(DBLOAD) -i $(NETGROUP) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi

netgroup.byuser: $(NETGROUP)
	@echo "Updating $@..."
	$(CAT) $(NETGROUP) | $(REVNETGROUP) -u | \
		$(DBLOAD) -i $(NETGROUP) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


hosts.byname: $(HOSTS)
	@echo "Updating $@..."
	$(CAT) $(HOSTS) | \
	$(AWK) '/^[0-9]/ { for (n=2; n<=NF && $$n !~ "#"; n++) \
		print $$n"\t"$$0 }' $^ | $(DBLOAD) -i $(HOSTS)  \
				-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi

hosts.byaddr: $(HOSTS)
	@echo "Updating $@..."
	$(CAT) $(HOSTS) | \
	$(AWK) '{ if ($$1 !~ "#" && $$1 != "") print $$1"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(HOSTS) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


networks.byname: $(NETWORKS)
	@echo "Updating $@..."
	$(CAT) $(NETWORKS) | \
	$(AWK) \
	   '{ if($$1 !~ "#" && $$1 != "") { print $$1"\t"$$0; \
			  for (n=3; n<=NF && $$n !~ "#"; n++) \
			      print $$n"\t"$$0 \
			}}' $^ | $(DBLOAD) -i $(NETWORKS) \
			-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


networks.byaddr: $(NETWORKS)
	@echo "Updating $@..."
	$(CAT) $(NETWORKS) | \
	$(AWK) '{ if ($$1 !~ "#" && $$1 != "") print $$2"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(NETWORKS) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


protocols.byname: $(PROTOCOLS)
	@echo "Updating $@..."
	$(CAT) $(PROTOCOLS) | \
	$(AWK) \
	   '{ if ($$1 !~ "#" && $$1 != "") { print $$1"\t"$$0; \
			  for (n=3; n<=NF && $$n !~ "#"; n++) \
			      print $$n"\t"$$0 \
			}}' $^ | $(DBLOAD) -i $(PROTOCOLS) \
						-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


protocols.bynumber: $(PROTOCOLS)
	@echo "Updating $@..."
	$(CAT) $(PROTOCOLS) | \
	$(AWK) '{ if ($$1 !~ "#" && $$1 != "") print $$2"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(PROTOCOLS) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


rpc.byname: $(RPC)
	@echo "Updating $@..."
	$(CAT) $(RPC) | \
	$(AWK) \
	   '{ if ($$1 !~ "#"  && $$1 != "") { print $$1"\t"$$0; \
			  for (n=3; n<=NF && $$n !~ "#"; n++) \
			      print $$n"\t"$$0 \
			}}' $^ | $(DBLOAD) -i $(RPC) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


rpc.bynumber: $(RPC)
	@echo "Updating $@..."
	$(CAT) $(RPC) | \
	$(AWK) '{ if ($$1 !~ "#" && $$1 != "") print $$2"\t"$$0 }' $^ \
		| $(DBLOAD)  -i $(RPC) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


services.byname: $(SERVICES)
	@echo "Updating $@..."
	$(CAT) $(SERVICES) | \
	$(AWK) \
	   '{ if ($$1 !~ "#" && $$1 != "") { print $$1"\t"$$0; \
			  for (n=3; n<=NF && $$n !~ "#"; n++) \
			      print $$n"\t"$$0 \
			}}' $^ | $(DBLOAD) -i $(SERVICES) \
			-o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


passwd.byname: $(PASSWD)
	@echo "Updating $@..."
	$(CAT) $(PASSWD) | \
	$(AWK) -F: '!/^[-+]/ { if ($$1 != "" && $$3 >= $(MINUID) ) \
					print $$1"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(PASSWD) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


passwd.byuid: $(PASSWD)
	@echo "Updating $@..."
	$(CAT) $(PASSWD) | \
	$(AWK) -F: '!/^[-+]/ { if ($$1 != "" && $$3 >= $(MINUID) ) \
					print $$3"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(PASSWD) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


shadow.byname: $(SHADOW)
	@echo "Updating $@..."
	$(CAT) $(SHADOW) | \
	$(AWK) -F: '!/^[-+]/ { if ($$1 != "" ) \
					print $$1"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(SHADOW) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


group.byname: $(GROUP)
	@echo "Updating $@..."
	$(CAT) $(GROUP) | \
	$(AWK) -F: '!/^[-+]/ { if ($$1 != "") print $$1"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(GROUP) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


group.bygid: $(GROUP)
	@echo "Updating $@..."
	$(CAT) $(GROUP) | \
	$(AWK) -F: '!/^[-+]/ { if ($$1 != "") print $$3"\t"$$0 }' $^ \
		| $(DBLOAD) -i $(GROUP) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


netid.byname: $(GROUP) $(PASSWD) $(HOSTS)
	@echo "Updating $@..."
	@$(MKNETID) -q -p $(PASSWD) -g $(GROUP) -h $(HOSTS) -d $(DOMAIN) \
		| $(DBLOAD) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi

mail.aliases: $(ALIASES)
	@echo "Updating $@..."
	$(CAT) $(ALIASES) | \
	$(AWK) '{ if ($$1 != "" && $$1 !~ "#" && $$1 != "+") \
		print $$0 }' $^ | $(DBLOAD) --aliases \
			-i $(ALIASES) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi

publickey.byname: $(PUBLICKEYS)
	@echo "Updating $@..."
	$(CAT) $(PUBLICKEYS) | \
	$(AWK) '{ if($$1 !~ "#" && $$1 != "") \
		{ print $$1"\t"$$2 }}' $^ | $(DBLOAD) -i $(PUBLICKEYS) \
			 -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi


amd.home: $(AMD_HOME)
	@echo "Updating $@..."
	-@sed -e "s/#.*$$//" -e "/^$$/d" $(AMD_HOME) | \
	$(AWK) '{\
		for (i = 1; i <= NF; i++)\
		   if (i == NF) { \
		      if (substr($$i, length($$i), 1) == "\\") \
	                   printf("%s", substr($$i, 1, length($$i) -1)); \
	               else \
			  printf("%s\n",$$i); \
	              } \
		   else \
		      printf("%s ",$$i);\
		}' | \
	$(DBLOAD) -o $(YPMAPDIR)/$@ - $@
	@if [ ! $(NOPUSH) ]; then $(YPPUSH) -d $(DOMAIN) $@; fi
	@if [ ! $(NOPUSH) ]; then echo "Pushed $@ map." ; fi

=== src/elks/Makefile ===

export TOPDIR := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

include Make.defs

PARTS=    ld as unproto bcc
LIBS2=    libbsd
LIBS=     libc $(LIBS2)
EXTRAS=   man dis88
TESTDIRS= tests
DISTFILES=Makefile Make.defs README Changes README.ash Libc_version make_bcc.bat
DISTDIRS= $(LIBS2) elksemu $(TESTDIRS) $(EXTRAS)

default: dummy
	@echo You have to do make install as root
	@echo Or:
	@echo
	@echo '$ make bcc'
	@echo '$ su -c "make install-bcc"'
	@echo '$ make library'
	@echo '$ su -c "make install-lib"'
	@echo '$ make elksemu'
	@echo '$ su -c "make install-emu"'
	@echo
	@echo 'Other libraries are built with:'
	@echo '$ su -c "make install-lib2"'
	@echo
	@echo 'Others pieces are: "make tests" and "make extras"'

dummy:
	@if [ -f .runme ] ; then sh .runme ; rm .runme ; fi

install: install-bcc install-lib install-emu

# Do _everything_!
install-all: realclean config install install-lib2 install-extras realclean

config:
	make -C libc config

all: bcc library elksemu tests extras

bcc: dummy
	@for i in $(PARTS) ; do make -C $$i || exit 1; done

realclean:
	@for i in $(PARTS) libc $(DISTDIRS) ; do \
	   if grep -q '^realclean' $$i/Makefile ; then \
	   make -C $$i realclean ; else \
	   make -C $$i clean ; fi ; done

clean:
	@for i in $(PARTS) libc $(DISTDIRS) ; do \
	   make -C $$i clean || exit 1; done

tests: dummy
	@test -f $(BINDIR)/bcc || \
	( echo 'Must do "make install-bcc" first' && exit 1 )
	@test -f $(LIBDIR)/i86/crt0.o || \
	( echo 'Must do "make install-lib" first' && exit 1 )
	@for i in $(TESTDIRS) ; do make -C $$i || exit 1; done

library: dummy
	@test -f $(BINDIR)/bcc || \
	( echo 'Must do "make install-bcc" first' && exit 1 )
	make -C libc PLATFORM=i86-ELKS

elksemu: dummy
	@test -f libc/syscall/call_tab.v || \
	( echo 'Must do "make library" first' && exit 1 )
	make -C elksemu

extras: dummy
	@for i in $(EXTRAS) ; do make -C $$i || exit 1; done
	
install-bcc: dummy
	@for i in $(PARTS) ; do make -C $$i install || exit 1; done

install-lib: dummy
	@test -f $(BINDIR)/bcc || \
	( echo 'Must do "make install-bcc" first' && exit 1 )
	@for i in $(LIBS) ; do \
	 make -C $$i PLATFORM=i86-ELKS install || exit 1 ; \
	 done

install-lib2: install-lib-bios install-lib-dos install-lib-fast install-lib-386

install-lib-bios: dummy
	@test -f $(BINDIR)/bcc || \
	( echo 'Must do "make install-bcc" first' && exit 1 )
	make -C libc PLATFORM=i86-BIOS install

install-lib-dos: dummy
	@test -f $(BINDIR)/bcc || \
	( echo 'Must do "make install-bcc" first' && exit 1 )
	make -C libc PLATFORM=i86-DOS install

install-lib-fast: dummy
	@test -f $(BINDIR)/bcc || \
	( echo 'Must do "make install-bcc" first' && exit 1 )
	make -C libc PLATFORM=i86-FAST install

install-lib-386: dummy
	@test -f $(BINDIR)/bcc || \
	( echo 'Must do "make install-bcc" first' && exit 1 )
	make -C libc PLATFORM=i386-BCC install

install-emu: dummy
	@test -f libc/syscall/call_tab.v || \
	( echo 'Must do "make library" first' && exit 1 )
	make -C elksemu install

install-extras: dummy
	@for i in $(EXTRAS) ; do make -C $$i install || exit 1; done
	
distribution:
	sh Build_dist

=== doc/examples/fvwm95/Makefile ===
# Generated automatically from Makefile.in by configure.
#
SHELL=/bin/sh



top_srcdir=..
srcdir=.
prefix=/usr/X11R6
exec_prefix=${prefix}
bin_dir=${prefix}/bin
fvwm_rc=.fvwm2rc95
fvwm_name=fvwm95-2
fvwm_dir=${prefix}/lib/X11/${fvwm_name}

INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
RM=rm -f

RC=system${fvwm_rc}

all: 

depend:

install: 
	${INSTALL_DATA} ${RC} ${fvwm_dir} 

clean:
	${RM} *~ core *.bak

distclean: clean


#

=== doc/examples/ncurses-dev/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile for ncurses tests.

SHELL		= /bin/sh

srcdir		= .
prefix		= /usr
exec_prefix	= ${prefix}
libdir		= $(exec_prefix)/lib
includedir	= /usr/include

CC		= gcc
CFLAGS		= -O -W -Wall -Winline -Wshadow -Wstrict-prototypes -Wmissing-prototypes -Wbad-function-cast -Wmissing-declarations
CPPFLAGS	=  -DNDEBUG -I. -I../include -I$(includedir) -DHAVE_CONFIG_H

CCFLAGS		= $(CFLAGS) $(CPPFLAGS)

LOCAL_LIBS	= ../lib/libform.so ../lib/libmenu.so ../lib/libpanel.so ../lib/libncurses.so

LINK		= $(CC)
LD_FLAGS	=  $(LOCAL_LIBS)  -lbsd  -Wl,-rpath,../lib $(LDFLAGS)

TESTS = \
	blue \
	bs \
	firework \
	gdc \
	hanoi \
	knight \
	lrtest \
	ncurses \
	newdemo \
	rain \
	tclock \
	testcurs \
	view \
	worm \
	xmas 

.c.o:
	$(CC) -c $(CCFLAGS) $<

all: $(TESTS) 

blue: $(srcdir)/blue.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
bs: $(srcdir)/bs.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
firework: $(srcdir)/firework.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
gdc: $(srcdir)/gdc.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
hanoi: $(srcdir)/hanoi.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
knight: $(srcdir)/knight.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
lrtest: $(srcdir)/lrtest.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
ncurses: $(srcdir)/ncurses.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
newdemo: $(srcdir)/newdemo.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
rain: $(srcdir)/rain.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
tclock: $(srcdir)/tclock.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -lm -o $@
testcurs: $(srcdir)/testcurs.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
view: $(srcdir)/view.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
worm: $(srcdir)/worm.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@
xmas: $(srcdir)/xmas.c
	 $(LINK) $(CCFLAGS) $(srcdir)/$@.c $(LD_FLAGS) -o $@

install:

clean:
	-rm -rf *.o trace screendump t $(TESTS)

distclean: clean
	-rm -f Makefile config.*

mostlyclean: clean

realclean: distclean

=== doc/examples/scotty/Makefile ===
# Generated automatically from Makefile.in by configure.

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =	/usr
exec_prefix =	${prefix}

# Directory in which to install the program scotty:
BIN_DIR =	$(exec_prefix)/bin

# Top-level directory for manual entries:
MAN_DIR =	$(prefix)/man

# Directory in which to install manual entry for user commands:
MAN1_DIR =	$(MAN_DIR)/man1

# Directory in which to install manual entry for admin commands:
MAN8_DIR =	$(MAN_DIR)/man8

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =		/bin/sh

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

INSTALL =		/usr/bin/install -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644
SRC_DIR =		.

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

SRCS =	etherload nslook rpcprobe rstat traceroute yanny emok \
	tcpspeed udpspeed uiping logtrapd snmpwalk mibtree \
	discover ifload ifload2gif udploss
MAN1 =	etherload.1 nslook.1 rpcprobe.1 rstat.1 traceroute.1 emok.1 \
	tcpspeed.1 udpspeed.1 uiping.1 snmpwalk.1 mibtree.1 \
	discover.1 ifload.1 ifload2gif.1 udploss.1
MAN8 =	yanny.8 logtrapd.8

all:

install:
	for f in $(SRCS) ; do \
		$(INSTALL_PROGRAM) $(SRC_DIR)/$$f $(BIN_DIR); \
	done
	for f in $(MAN1) ; do \
		$(INSTALL_DATA) $(SRC_DIR)/$$f $(MAN1_DIR); \
	done
	for f in $(MAN8) ; do \
		$(INSTALL_DATA) $(SRC_DIR)/$$f $(MAN8_DIR); \
	done

clean:
	@rm -f core *~

distclean: clean
	@rm -f Makefile TAGS *.bak lmake.???

=== doc/libtclobjc/examples/Makefile ===
# Generated automatically from Makefile.in by configure.
#
#  Main makefile for Tcl/Objective-C interface library
#  Copyright (C) 1993,1994 R. Andrew McCallum
#
#  Written by:	R. Andrew McCallum <mccallum@cs.rochester.edu>
#  Dept. of Computer Science, U. of Rochester, Rochester, NY  14627
#
#  This file is part of the Tcl/Objective-C interface library.
#
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Library General Public
#  License as published by the Free Software Foundation; either
#  version 2 of the License, or (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
#  Library General Public License for more details.
#
#  You should have received a copy of the GNU Library General Public
#  License along with this library; if not, write to the Free
#  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .

CC = gcc
RANLIB = ranlib
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
AR = ar
ARFLAGS = rc
MAKEINFO = makeinfo

# directories in which to find the required include files
TCL_INCLUDE_FLAGS = -I/usr/include/tcl
TK_INCLUDE_FLAGS= -I/usr/include/tcl
X_INCLUDE_FLAGS = -I/usr/X11R6/include
READLINE_INCLUDE_FLAGS = -I/usr/include/readline

TCL_LIBRARY_FLAGS = -ltcl7.4
TK_LIBRARY_FLAGS = -ltk4.0
X_LIBRARY_FLAGS = -L/usr/X11R6/lib -lX11
READLINE_LIBRARY_FLAGS = -L/usr/lib -lreadline -lncurses

TCLLIBS = $(TCL_LIBRARY_FLAGS) \
	$(READLINE_LIBRARY_FLAGS) -lm -lobjc 
LIBS = $(TK_LIBRARY_FLAGS) $(TCL_LIBRARY_FLAGS) \
	$(X_LIBRARY_FLAGS) $(READLINE_LIBRARY_FLAGS) -lm -lobjc 
     
DEFS =  -DHAVE_LIBOBJC=1 -DHAVE_READLINE=1 
     
# All these are optional.  You can redefine CFLAGS, CPPFLAGS and
# INCLUDEFLAGS on the command line however you like.
CFLAGS = -Wall -Wno-implicit -g -O
CPPFLAGS = 
INCLUDEFLAGS =

prefix = /usr
exec_prefix = $(prefix)

# Installation locations
libdir = $(exec_prefix)/lib
includedir = $(prefix)/include
infodir = $(prefix)/info

#### End of system configuration section. ####

TCLOBJC_GCC_VERSION = 2.7.2
TCLOBJC_VERSION = 1.1b3
SOMAJ = 1
SOMIN = 1b3

ALL_INCLUDE_FLAGS = -I$(srcdir) $(INCLUDEFLAGS) \
	$(TCL_INCLUDE_FLAGS) $(TK_INCLUDE_FLAGS) \
        $(X_INCLUDE_FLAGS) $(READLINE_INCLUDE_FLAGS)
ALL_CPPFLAGS = $(ALL_INCLUDE_FLAGS) $(CPPFLAGS)
ALL_CFLAGS = $(CFLAGS)
ALL_OBJCFLAGS = $(CFLAGS) -Wno-protocol

# definitions to be passed to subdir Makefile's
MAKEDEFINES = CC='$(CC)' CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' \
DEFS='$(DEFS)'

.SUFFIXES: .m
.m.o:
	$(CC) -c $(ALL_CPPFLAGS) $(DEFS) $(ALL_OBJCFLAGS) $<
.c.o:
	$(CC) -c $(ALL_CPPFLAGS) $(DEFS) $(ALL_CFLAGS) $<

SRCS = \
List.m HashTable.m \
Tcl.m \
Tk.m \
tclObjc.m \
objc-malloc.m

OBJS = \
List.o HashTable.o \
Tcl.o \
Tk.o \
tclObjc.o \
objc-malloc.o

HDRS = \
Tcl.h \
Tk.h \
tclObjc.h

DISTFILES = \
List.m \
HashTable.m \
Tcl.m \
Tk.m \
tclObjc.m \
objc-malloc.m \
xmalloc.c \
checkTcl.m \
checkTk.m \
coll/List.h \
coll/HashTable.h \
Tcl.h \
Tk.h \
tclObjc.h \
objc-malloc.h \
objc-gnu2next.h \
check.tcl check.tk \
config.tcllib \
COPYING.LIB ChangeLog \
Makefile.in configure configure.in mkinstalldirs \
gcc.patch \
version.texi \
README readme.texi \
INSTALL install.texi \
NEWS news.texi \
TODO 

all: libtclobjc.a

libtclobjc.a: $(OBJS)
	$(AR) $(ARFLAGS) libtclobjc.a $(OBJS)
	$(RANLIB) libtclobjc.a

libtclobjc.so: $(OBJS)
	gcc -shared -Wl,-soname,libtclobjc.so.$(SOMAJ) \
	  -o libtclobjc.so.$(SOMAJ).$(SOMIN) $(OBJS)

install: installdirs all
	$(INSTALL_DATA) libtclobjc.a $(libdir)/libtclobjc.a
	$(RANLIB) $(libdir)/libtclobjc.a
	$(INSTALL_DATA) $(HDRS) $(includedir)

installdirs:
	$(srcdir)/mkinstalldirs $(includedir) $(libdir)

uninstall:
	rm -f $(libdir)/libtclobjc.a
	for file in $(HDRS); do \
	  rm -rf $(includedir)/$file ; \
	done

check: doCheckTcl doCheckTk

doCheckTcl: checkTcl
	./checkTcl < check.tcl

doCheckTk: checkTk
	# Without readline, redirecting into Tk's promptAndEval isn't working
	# I haven't looked into why.
	./checkTk check.tk

checkTcl: checkTcl.o libtclobjc.a xmalloc.o
	$(CC) -g -o checkTcl checkTcl.o libtclobjc.a xmalloc.o $(TCLLIBS)

checkTk: checkTk.o libtclobjc.a xmalloc.o
	$(CC) -o checkTk checkTk.o libtclobjc.a xmalloc.o $(LIBS)

depend:
	rm -f $(srcdir)/Makefile.depend
	$(CC) $(ALL_INCLUDE_FLAGS) -M $(SRCS) > $(srcdir)/Makefile.depend

tclObjc.h: Makefile.in
	rm -f tmp-tclObjc.h
	sed -e \
	's/#define TCLOBJC_VERSION .*/#define TCLOBJC_VERSION "$(TCLOBJC_VERSION)"/'\
		< $(srcdir)/tclObjc.h >$(srcdir)/tmp-tclObjc.h
	rm $(srcdir)/tclObjc.h
	mv $(srcdir)/tmp-tclObjc.h $(srcdir)/tclObjc.h

tclObjc.m: tclObjc.h

version.texi: Makefile
	rm -f $(srcdir)/version.texi
	echo '@set TCLOBJC_VERSION' $(TCLOBJC_VERSION) > $(srcdir)/version.texi
README: readme.texi version.texi news.texi
	$(MAKEINFO) -o README -D README_ONLY \
	--no-header --no-split $(srcdir)/readme.texi
INSTALL: install.texi version.texi
	$(MAKEINFO) -o INSTALL -D INSTALL_ONLY \
	--no-header --no-split $(srcdir)/install.texi
NEWS: news.texi version.texi
	$(MAKEINFO) -o NEWS -D NEWS_ONLY \
	--no-header --no-split $(srcdir)/news.texi

Makefile: Makefile.in config.status
	$(SHELL) config.status
config.status: configure
	$(SHELL) $(srcdir)/configure --no-create
configure: configure.in
	cd $(srcdir); autoconf

TAGS: $(SRCS)
	etags $(SRCS)

mostlyclean:
	rm -f *~ coll/*~ core

clean: mostlyclean
#	rm -f libtclobjc.a *.o Makefile.depend checkTk checkTcl
	rm -f libtclobjc.a libtclobjc.so* *.o Makefile.depend checkTk checkTcl

realclean: clean
	rm -f Makefile config.status config.cache config.log

superclean: realclean
	rm -f TAGS configure

dist: $(DISTFILES)
	echo libtclobjc-$(TCLOBJC_VERSION) > .fname
	rm -rf `cat .fname`
	mkdir `cat .fname`
	mkdir `cat .fname`/coll
	for file in $(DISTFILES); do \
	  ln $$file `cat .fname`/$$file ; \
	done
	tar -chvf `cat .fname`.tar `cat .fname`
	gzip `cat .fname`.tar
	rm -rf `cat .fname` .fname

=== lib/python1.4/config/Makefile ===
# Generated automatically from Makefile.pre by makesetup.
# Generated automatically from Makefile.pre.in by configure.
# META-NOTE: this note is different from the note in the other Makefiles!
# NOTE: Makefile.pre.in is converted into Makefile.pre by the configure
# script in the toplevel directory or by ../config.status.
# Makefile.pre is converted into Makefile by running the makesetup
# script in the source directory.  Once Makefile exists, it can be
# brought up to date by running "make Makefile".  (The makesetup also
# creates config.c from config.c.in in the source directory.)

# Interpreter version number, for library destination pathnames
VERSION=	1.4

# === Variables set by makesetup ===

MODOBJS=	  posixmodule.o  signalmodule.o  threadmodule.o
MODLIBS=	$(LOCALMODLIBS) $(BASEMODLIBS)

# === Variables set by configure ===

srcdir=		.

CC=		gcc
RANLIB=		ranlib
AR=		ar

OPT=		-O
LDFLAGS=	 -L/usr/lib

DEFS=		-DHAVE_CONFIG_H
LIBS=		-ldl  -lreadline /usr/lib/libpthread.a
LIBM=		-lm
LIBC=		

# Machine-dependent subdirectories
MACHDEP=	linux2

# Install prefix for architecture-independent files
prefix=		/usr

# Install prefix for architecture-dependent files
exec_prefix=	${prefix}

# Expanded directories
BINDIR=		$(exec_prefix)/bin
LIBDIR=		$(exec_prefix)/lib
MANDIR=		$(prefix)/man
INCLUDEDIR=	$(prefix)/include
SCRIPTDIR=	$(prefix)/lib

# Detailed destination directories
BINLIBDEST=	$(LIBDIR)/python$(VERSION)
LIBDEST=	$(SCRIPTDIR)/python$(VERSION)
INCLUDEPY=	$(INCLUDEDIR)/python$(VERSION)
LIBP=		$(LIBDIR)/python$(VERSION)

# Symbols used for using shared libraries
SO=		.so
LDSHARED=	gcc -shared
CCSHARED=	-fpic
LINKFORSHARED=	-rdynamic
DESTSHARED=	$(BINLIBDEST)/sharedmodules

# Portable install script (configure doesn't always guess right)
INSTALL=	./../install-sh -c
INSTALL_PROGRAM=${INSTALL} -m 755
INSTALL_DATA=	${INSTALL} -m 644
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
# Also, making them read-only seems to be a good idea...
INSTALL_SHARED=	${INSTALL} -m 555

# === Variables that are customizable by hand or by inclusion in Setup ===

LINKCC=		$(CC)
INCLDIR=	$(srcdir)/../Include
CONFIGINCLDIR=	..
CFLAGS=		$(OPT) -I$(INCLDIR) -I$(CONFIGINCLDIR) $(DEFS)

MKDEP=		mkdep
SHELL=		/bin/sh

MAKESETUP=	$(srcdir)/makesetup

# (The makesetup script inserts all variable definitions found
# found in the Setup file just below the following line.
# This means that the Setup file can override any of the definitions
# given before this point, but not any given below.
# The script insert the definitions in reverse order,
# for the benefits of independent extensions.)
# === Definitions added by makesetup ===

LOCALMODLIBS=   
BASEMODLIBS=
SHAREDMODS= arraymodule$(SO) cmathmodule$(SO) mathmodule$(SO) regexmodule$(SO) stropmodule$(SO) structmodule$(SO) timemodule$(SO) operator$(SO) fcntlmodule$(SO) pwdmodule$(SO) grpmodule$(SO) cryptmodule$(SO) selectmodule$(SO) socketmodule$(SO) errnomodule$(SO) dbmmodule$(SO) nismodule$(SO) termios$(SO) _xdrmodule$(SO) audioop$(SO) imageop$(SO) rgbimgmodule$(SO) md5module$(SO) mpzmodule$(SO) timingmodule$(SO) _tkinter$(SO) rotormodule$(SO) syslogmodule$(SO) cursesmodule$(SO) newmodule$(SO) dlmodule$(SO) gdbmmodule$(SO) bsddbmodule$(SO) soundex$(SO) binascii$(SO) parsermodule$(SO)
TKPATH=:$(DESTLIB)/tkinter
PYTHONPATH=$(COREPYTHONPATH)
COREPYTHONPATH=$(DESTPATH)$(SITEPATH)$(TESTPATH)$(MACHDEPPATH)$(STDWINPATH)$(TKPATH)
MACHDEPPATH=:$(DESTLIB)/$(MACHDEP):$(MACHDESTLIB)/sharedmodules
TESTPATH=:$(DESTLIB)/test
SITEPATH=
DESTPATH=$(DESTLIB)
MACHDESTLIB=$(BINLIBDEST)
DESTLIB=$(LIBDEST)


# === Fixed definitions ===

OBJS=		$(MODOBJS)

ADDOBJS=	main.o config.o getpath.o

LIB=		libModules.a

MYLIBS=		$(LIB) \
		../Python/libPython.a \
		../Objects/libObjects.a \
		../Parser/libParser.a

SYSLIBS=	$(LIBM) $(LIBC)


# === Rules ===

all:		$(LIB) ../python sharedmods

asharedmodule:	$(ASHAREDMODULE)$(SO)

$(ASHAREDMODULE)$(SO): $(ASHAREDMODULESOBS)
	$(LDSHARED) $(LDFLAGS) -o $(ASHAREDMODULE)$(SO) $(ASHAREDMODULESOBS) \
	$(ASHAREDMODULESEXTRA)

$(LIB):		$& $(OBJS) Makefile
		-rm -f $(LIB)
		$(AR) cr $(LIB) $(OBJS)
		$(RANLIB) $(LIB)

../python:	$(MYLIBS) $(ADDOBJS) Makefile
		$(LINKCC) $(LDFLAGS) $(OPT) $(LINKFORSHARED) $(ADDOBJS) \
		      $(MYLIBS) $(MODLIBS) $(LIBS) $(SYSLIBS) -o python
		mv python ../python

clean:
		-rm -f *.o python core *~ [@,#]* *.old *.orig *.rej

clobber:	clean
		-rm -f *.a tags TAGS config.c glmodule.c Makefile.pre
		-rm -f *.so *.sl so_locations

getpath.o:	getpath.c Makefile
		$(CC) -c $(CFLAGS) -DPYTHONPATH='"$(PYTHONPATH)"' \
		      -DPREFIX='"$(prefix)"' \
		      -DEXEC_PREFIX='"$(exec_prefix)"' \
		      $(srcdir)/getpath.c

config.c Makefile: Makefile.pre config.c.in $(MAKESETUP) Setup Setup.local
		$(SHELL) $(MAKESETUP) Setup Setup.local

Setup:
		cp $(srcdir)/Setup.in Setup

Setup.local:
		echo "# Edit this file for local setup changes" >Setup.local

Makefile.pre:	Makefile.pre.in ../config.status
		(cd ..; CONFIG_FILES=Modules/Makefile.pre CONFIG_HEADERS= \
		$(SHELL) config.status)

depend:
		$(MKDEP) $(CFLAGS) `echo $(OBJS) | tr ' ' '\012' | \
					sed 's|\(.*\)\.o|$(srcdir)/\1.c|'`

.PRECIOUS:	../python

glmodule.c:	$(srcdir)/cgen.py $(srcdir)/cstubs
		python $(srcdir)/cgen.py <$(srcdir)/cstubs >glmodule.c

almodule.o: almodule.c
arraymodule.o: arraymodule.c
audioop.o: audioop.c
cdmodule.o: cdmodule.c
clmodule.o: clmodule.c
dbmmodule.o: dbmmodule.c
errnomodule.o: errnomodule.c
fcntlmodule.o: fcntlmodule.c
flmodule.o: flmodule.c
fmmodule.o: fmmodule.c
glmodule.o: glmodule.c
imageop.o: imageop.c
imgfile.o: imgfile.c
main.o: main.c
mathmodule.o: mathmodule.c
md5c.o: md5c.c
md5module.o: md5module.c
mpzmodule.o: mpzmodule.c
nismodule.o: nismodule.c
operator.o: operator.c
parsermodule.o: parsermodule.c
posixmodule.o: posixmodule.c
pwdmodule.o: pwdmodule.c
regexmodule.o: regexmodule.c
regexpr.o: regexpr.c
rgbimgmodule.o: rgbimgmodule.c
rotormodule.o: rotormodule.c
selectmodule.o: selectmodule.c
sgimodule.o: sgimodule.c
socketmodule.o: socketmodule.c
stdwinmodule.o: stdwinmodule.c
stropmodule.o: stropmodule.c
structmodule.o: structmodule.c
sunaudiodev.o: sunaudiodev.c
svmodule.o: svmodule.c
threadmodule.o: threadmodule.c
timemodule.o: timemodule.c
timingmodule.o: timingmodule.c
xxmodule.o: xxmodule.c
yuvconvert.o: yuvconvert.c

# Rules to build and install all shared modules
sharedmods:	$(SHAREDMODS)
sharedinstall:	$(DESTSHARED) $(SHAREDMODS)
		-for i in X $(SHAREDMODS); do \
			if test $$i != X; \
			then $(INSTALL_SHARED) $$i $(DESTSHARED)/$$i; \
			fi; \
		done

# Install a shared module from outside of setup
asharedinstall:	$(DESTSHARED) $(ASHAREDMODULE)$(SO)
		-for i in dummy $(ASHAREDMODULE)$(SO); do \
		    if test -f $$i; then mv $$i $(DESTSHARED)/$$i; fi; done

# This is handy when modules need to know where the destination directory is:
echodestshared: $(DESTSHARED)
	echo 	$(DESTSHARED)

DESTDIRS=	$(exec_prefix) $(LIBDIR) $(BINLIBDEST) $(DESTSHARED)

$(DESTSHARED): 
		@for i in $(DESTDIRS); \
		do \
			if test ! -d $$i; then \
				echo "Creating directory $$i"; \
				mkdir $$i; \
				chmod 755 $$i; \
			else	true; \
			fi; \
		done

# Stuff is appended here by makesetup and make depend

# Rules appended by makedepend

posixmodule.o: $(srcdir)/posixmodule.c; $(CC) $(CFLAGS)  -c $(srcdir)/posixmodule.c
posixmodule$(SO):  posixmodule.o; $(LDSHARED)  posixmodule.o  -o posixmodule$(SO)
signalmodule.o: $(srcdir)/signalmodule.c; $(CC) $(CFLAGS)  -c $(srcdir)/signalmodule.c
signalmodule$(SO):  signalmodule.o; $(LDSHARED)  signalmodule.o  -o signalmodule$(SO)
threadmodule.o: $(srcdir)/threadmodule.c; $(CC) $(CFLAGS)  -c $(srcdir)/threadmodule.c
threadmodule$(SO):  threadmodule.o; $(LDSHARED)  threadmodule.o  -o threadmodule$(SO)
arraymodule.o: $(srcdir)/arraymodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/arraymodule.c
arraymodule$(SO):  arraymodule.o; $(LDSHARED)  arraymodule.o  -o arraymodule$(SO)
cmathmodule.o: $(srcdir)/cmathmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/cmathmodule.c
cmathmodule$(SO):  cmathmodule.o; $(LDSHARED)  cmathmodule.o  -o cmathmodule$(SO)
mathmodule.o: $(srcdir)/mathmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/mathmodule.c
mathmodule$(SO):  mathmodule.o; $(LDSHARED)  mathmodule.o  -o mathmodule$(SO)
regexmodule.o: $(srcdir)/regexmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/regexmodule.c
regexpr.o: $(srcdir)/regexpr.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/regexpr.c
regexmodule$(SO):  regexmodule.o regexpr.o; $(LDSHARED)  regexmodule.o regexpr.o  -o regexmodule$(SO)
stropmodule.o: $(srcdir)/stropmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/stropmodule.c
stropmodule$(SO):  stropmodule.o; $(LDSHARED)  stropmodule.o  -o stropmodule$(SO)
structmodule.o: $(srcdir)/structmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/structmodule.c
structmodule$(SO):  structmodule.o; $(LDSHARED)  structmodule.o  -o structmodule$(SO)
timemodule.o: $(srcdir)/timemodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/timemodule.c
timemodule$(SO):  timemodule.o; $(LDSHARED)  timemodule.o  -o timemodule$(SO)
operator.o: $(srcdir)/operator.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/operator.c
operator$(SO):  operator.o; $(LDSHARED)  operator.o  -o operator$(SO)
fcntlmodule.o: $(srcdir)/fcntlmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/fcntlmodule.c
fcntlmodule$(SO):  fcntlmodule.o; $(LDSHARED)  fcntlmodule.o  -o fcntlmodule$(SO)
pwdmodule.o: $(srcdir)/pwdmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/pwdmodule.c
pwdmodule$(SO):  pwdmodule.o; $(LDSHARED)  pwdmodule.o  -o pwdmodule$(SO)
grpmodule.o: $(srcdir)/grpmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/grpmodule.c
grpmodule$(SO):  grpmodule.o; $(LDSHARED)  grpmodule.o  -o grpmodule$(SO)
cryptmodule.o: $(srcdir)/cryptmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/cryptmodule.c
cryptmodule$(SO):  cryptmodule.o; $(LDSHARED)  cryptmodule.o  -o cryptmodule$(SO)
selectmodule.o: $(srcdir)/selectmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/selectmodule.c
selectmodule$(SO):  selectmodule.o; $(LDSHARED)  selectmodule.o  -o selectmodule$(SO)
socketmodule.o: $(srcdir)/socketmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/socketmodule.c
socketmodule$(SO):  socketmodule.o; $(LDSHARED)  socketmodule.o  -o socketmodule$(SO)
errnomodule.o: $(srcdir)/errnomodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/errnomodule.c
errnomodule$(SO):  errnomodule.o; $(LDSHARED)  errnomodule.o  -o errnomodule$(SO)
dbmmodule.o: $(srcdir)/dbmmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/dbmmodule.c
dbmmodule$(SO):  dbmmodule.o; $(LDSHARED)  dbmmodule.o  -o dbmmodule$(SO)
nismodule.o: $(srcdir)/nismodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/nismodule.c
nismodule$(SO):  nismodule.o; $(LDSHARED)  nismodule.o  -o nismodule$(SO)
termios.o: $(srcdir)/termios.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/termios.c
termios$(SO):  termios.o; $(LDSHARED)  termios.o  -o termios$(SO)
_xdrmodule.o: $(srcdir)/_xdrmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/_xdrmodule.c
_xdrmodule$(SO):  _xdrmodule.o; $(LDSHARED)  _xdrmodule.o  -o _xdrmodule$(SO)
audioop.o: $(srcdir)/audioop.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/audioop.c
audioop$(SO):  audioop.o; $(LDSHARED)  audioop.o  -o audioop$(SO)
imageop.o: $(srcdir)/imageop.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/imageop.c
imageop$(SO):  imageop.o; $(LDSHARED)  imageop.o  -o imageop$(SO)
rgbimgmodule.o: $(srcdir)/rgbimgmodule.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/rgbimgmodule.c
rgbimgmodule$(SO):  rgbimgmodule.o; $(LDSHARED)  rgbimgmodule.o  -o rgbimgmodule$(SO)
md5module.o: $(srcdir)/md5module.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/md5module.c
md5c.o: $(srcdir)/md5c.c; $(CC) $(CCSHARED) $(CFLAGS)  -c $(srcdir)/md5c.c
md5module$(SO):  md5module.o md5c.o; $(LDSHARED)  md5module.o md5c.o  -o md5module$(SO)

=== src/elks/elksemu/Makefile ===
#
#	Makefile for elksemu.
#

# For gcc with the default compiler
# CFLAGS=-O2 -fno-strength-reduce -Wall -idirafter . $(DEFS)

# For gcc making a.out with a basically ELF compiler
# CFLAGS=-O2 -fno-strength-reduce -b i486-linuxaout -N -s -static

# Use BCC to make a tiny static a.out version.
CFLAGS=-O -3 -N -ansi
CC=bcc

OBJ=elks.o elks_sys.o elks_signal.o

elksemu:	$(OBJ)
		$(CC) $(CFLAGS) -o elksemu $(OBJ)

elks_sys.o:	call_tab.v
$(OBJ):		elks.h

call_tab.v:	dummy
	-cp -p ../libc/syscall/call_tab.v . 2>/dev/null
	-cp -p ../libc/syscall/defn_tab.v . 2>/dev/null

dummy:

# The kernel patch or module _requires_ this location.
install: elksemu
	install -d $(DIST)/usr/sbin
	install -s -o root -g root -m 4555 elksemu $(DIST)/usr/sbin/elksemu

clean:
	rm -f $(OBJ) elksemu call_tab.v defn_tab.v binfmt_elks.o

module: binfmt_elks.o

# HOW to compile the module...

# This matches my compile (2.0.0); yours may be different.
MODCFLAGS=-D__KERNEL__ -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer \
          -fno-strength-reduce -pipe -m486 -DCPU=486 -DMODULE -DMODVERSIONS \
	  -include /usr/src/linux/include/linux/modversions.h -I/usr/src/linux/include

binfmt_elks.o:	binfmt_elks.c
	gcc -c $(MODCFLAGS) binfmt_elks.c

# This is another option
#MODCFLAGS=-O -fomit-frame-pointer -DCPU=386 -D__KERNEL__ -DMODULE
# Or this ...
#MODCFLAGS=-O -fomit-frame-pointer -D__KERNEL__ -DMODULE -DCONFIG_MODVERSIONS

=== doc/examples/bison/C++parser/Makefile ===
# targets:  
#	testparser - builds a rudimentary test
#	clean - deletes non-source files	

#  	To configure for your system 
#
#	Specify the installation tree,
CXX = g++	
#	and the location of the AUIS Bison
BISON = bison
#	Add compiler flags here,
COMPILERFLAGS =
#	specify debug mode (often -O or -g),
CDEBUGFLAGS =
#	specify additional includes,
INCLUDES = -I. 
#	add any defines desired,
DEFINES =
#	and give flags for CXX when used for ld.
LOADFLAGS =
#

        CPPFLAGS = $(COMPILERFLAGS) $(CDEBUGFLAGS) $(INCLUDES) $(DEFINES)

.SUFFIXES:
.SUFFIXES:  .o .C 

.C.o:
	rm -f $@
	$(CXX) $(CPPFLAGS) -c $*.C

all: testparser

#
#rudimentary test:  make testparser;  ./testparser
#
foo.H foo.C: foo.gra
	${BISON} -b foo -k foo.gra
	mkparserclass foo
TESTOBJS =  foo.o testparser.o 
testparser.o: foo.H
testparser: ${TESTOBJS} Makefile
	$(CXX) $(CDEBUGFLAGS) ${LOADFLAGS} -o testparser ${TESTOBJS} -lparser


clean: 
	rm -f \#* ,* *~ *.CKP *.BAK *.bas errs core
	rm -f *.ln *.o *.dog tags TAGS make.log
	rm -f *.do *.eh *.ih *.a *.fwm *.snf *.pcf *.rtx *.fb
	rm -f install.time install.doc
	rm -f testparser
	rm -f foo.C foo.H foo.act *.tab.* *.output

=== doc/examples/bison/mkparser/Makefile ===
all: testparse

CPPFLAGS = -DYYDEBUG -I.

TESTOBJS =  foo.o testparse.o
foo.h foo.c: foo.y
	bison -k foo.y
	mkparser foo
testparse: foo.h ${TESTOBJS}
	cc -o testparse ${TESTOBJS} -lcparser


clean: 
	rm -f \#* ,* *~ *.CKP *.BAK *.bas errs core
	rm -f *.ln *.o *.dog tags TAGS make.log
	rm -f *.do *.eh *.ih *.a *.fwm *.snf *.pcf *.rtx *.fb
	rm -f install.time install.doc
	rm -f testparse
	rm -f foo.c foo.h foo.act foo.tab.c

=== doc/examples/qt1/examples/Makefile ===
####### This section is automatically generated from
#######    /home/users/heiko/d/Debian/Public/qt1/qt1-1.0/debian/tmp/usr/doc/examples/qt1/Makefile

INCDIR	=	/usr/X11R6/include/X11/qt
CFLAGS	=	-O2 -fno-strength-reduce -Wall -W
LFLAGS	=	-L/usr/X11R6/lib -lqt
CC	=	gcc
MOC	=	/usr/X11R6/bin/moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/Makefile,v $
#

####### Directories

SUBDIRS =	aclock          biff            connect         cursor        \
		dclock          desktop         drawdemo        forever       \
		hello           life            menu            picture       \
		qmag            showimg         tetris          tictac        \
		timestmp        widgets         xform           xshape

####### Targets

all: targets

targets:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) 'CFLAGS=$(CFLAGS)' 'LFLAGS=$(LFLAGS)' 'CC=$(CC)' ) ; done

# chaos on your screen :)
galore:
	for a in */* ; do [ -f $$a -a -x $$a ] && ( cd `dirname $$a` ; ./`basename $$a` & ) ; done

showdirs:
	@echo $(SUBDIRS)

showfiles:
	@echo README Makefile

depend:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) depend 'CFLAGS=$(CFLAGS)' ) ; done

clean:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) clean ) ; done

=== doc/examples/qt1/tutorial/Makefile ===
####### This section is automatically generated from
#######    /home/users/heiko/d/Debian/Public/qt1/qt1-1.0/debian/tmp/usr/doc/examples/qt1/Makefile

INCDIR	=	/usr/X11R6/include/X11/qt
CFLAGS	=	-O2 -fno-strength-reduce -Wall -W
LFLAGS	=	-L/usr/X11R6/lib -lqt
CC	=	gcc
MOC	=	/usr/X11R6/bin/moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/tutorial/Makefile,v $
#

####### Directories

SUBDIRS =	t1 t2 t3 t4 t5 t6 t7 t8 t9 t10 t11 t12 t13 t14

####### Targets

all: targets

targets:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) 'CC=$(CC)' 'CFLAGS=$(CFLAGS)' 'LFLAGS=$(LFLAGS)' ) ; done

showdirs:
	@echo $(SUBDIRS)

showfiles:
	@echo README Makefile

depend:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) depend ) ; done

clean:
	set -e; for i in $(SUBDIRS); do ( cd $$i ; $(MAKE) clean ) ; done

=== src/modules/pcmcia-cs/debian/changelog ===
pcmcia-cs (2.8.22-1) unstable; urgency=low

  * New upstream source.
  * Moved /usr/doc/pcmcia-modules to /usr/doc/pcmcia-modules-<kernel
    version>.

 -- Brian Mays <brian@debian.org>  Thu, 12 Sep 1996 12:29:03 -0400

pcmcia-cs (2.8.21-2) unstable; urgency=low

  * Modified kdist_image target in debian/rules to clean the source tree
    (and remove old module files) before building the modules.
  * Fixed kdist target in debian/rules to work when KMAINT is not
    specified.

 -- Brian Mays <brian@debian.org>  Fri, 6 Sep 1996 13:50:29 -0400

pcmcia-cs (2.8.21-1) unstable; urgency=low

  * New upstream source.
  * First release with the new source format.
  * Split kernel modules into a seperate package.

 -- Brian Mays <brian@debian.org>  Sun, 25 Aug 1996 15:37:51 -0400

Local variables:
mode: debian-changelog
End:

=== src/modules/pcmcia-cs/debian/control ===
Source: pcmcia-cs
Section: admin
Priority: extra
Maintainer: Brian Mays <brian@debian.org>
Standards-Version: 2.0.0.0

Package: pcmcia-cs
Architecture: i386
Depends: ${shlibs:Depends}, modules
Suggests: ${shlibs:Suggests}
Description: PCMCIA Card Services for Linux.
 PCMCIA cards are commonly used in laptops to provide expanded
 capabilities, such as modems, increased memory, etc.  Some desktop PCs
 can accept PCMCIA cards as well, although this is rare.
 .
 Card Services for Linux is a complete PCMCIA support package.  It
 includes a set of client drivers for specific cards, and a card
 manager daemon that can respond to card insertion and removal events,
 loading and unloading drivers on demand.  It supports ``hot swapping''
 of PCMCIA cards, so cards can be inserted and ejected at any time.
 .  
 The actual kernel modules required for this package are contained in
 the pcmcia-modules-<kernel version> package, where <kernel version> is
 the version of the kernel for which the modulues have been compiled.

Package: pcmcia-source
Architecture: i386
Replaces: pcmcia-cs-source
Description: PCMCIA Card Services source.
 This package provides the source code for the PCMCIA modules.  The
 kernel source is required to compile these modules.

=== lib/compress-package/debian/rules ===
#! /usr/bin/make -f

b = $(shell pwd | sed 's,\(.*/\)*\([^/].*\),\2,')
# The name of the package (for example, `emacs').
# The version of the package (for example, `19.28').
s = $(shell echo $(b) | sed 's,\(.*-\)*-\([0-9][0-9]*\(\.[0-9][0-9]*\)*\),\1,')
ifeq ($(s),)
s = compress
else
#v = $(patsubst $(s)-%,%,$(b))
v = $(shell echo $(b) | sed 's/.*-//')
endif
ifeq ($(s),compress)
override s = bsd-compress
endif
ifeq ($(v),)
v = 4.0
else
ifeq ($(v),$(b))
v = 4.0
endif
endif
ifeq ($(p),)
p = $(s)
endif
pp = $(p)
ifneq ($(k),)
kk = -$(k)
override p := $(p)-$(k)
endif
# The debian version of the package.
d =
ifneq ($(d),)
dd = -$(d)
endif
# The name of the copyright file.
c = $(p)
# The architecture of the package.
a = $(shell dpkg --print-architecture)

# The maintainer.
m = $(shell w=`who am i | sed 's/\(.*!\)*\([^ ]*\) .*/\2/'`; if [ -z "`which ypcat`" ]; then showpass() { cat /etc/passwd }; else showpass() { 2>/dev/null ypcat passwd || cat /etc/passwd }; fi; f=`showpass | grep "^$${w}:" | cut -d: -f5 | sed 's/,.*//'`; : $${f:=$$NAME}; : $${f:=Unknown}; echo "$$f <$$w@`hostname -f`>")

# The kind of package is in $(k) which must never be setup by the user!

# Available docs.
docs = $(wildcard README* NEWS* CHANGES* 0_*)

#

installtarget = install

#

debdir = /usr/lib/compress-package

ifneq ($(words $(cmakefile)),0)
makefilename = $(word $(words $(cmakefile)),$(cmakefile))
endif

ifeq ($(makefilename),)
makefilename = $(wildcard GNUmakefile)
endif
ifeq ($(makefilename),)
makefilename = $(wildcard makefile)
endif
ifeq ($(makefilename),)
makefilename = $(wildcard Makefile)
endif

ifeq ($(cmakefilename),)
ifeq ($(makefilename),)
makefilename = $(debdir)/Makefile.debian
endif
cmakefile = -f $(makefilename)
endif

build:
# Builds the binary package.
	-test ! -r USERMEM -o -z "`cat USERMEM | sed 's/[0-9 	\
]//g' USERMEM`" && cp $(debdir)/USERMEM .
	$(MAKE) $(cmakefile) $(buildtarget)
	touch stamp-build

clean:
# Undoes the effect of `make -f debian/rules build'.
	@if [ -d debian-tmp ]; then \
	  if [ "`whoami`" = root ]; then \
	    rm -rf debian-tmp; \
	  else \
	    echo "Enter the root password to clean up the debian-tmp dir...";\
	    su -c "rm -rf debian-tmp";\
	  fi; \
	fi
	-test -f USERMEM && mv USERMEM USERMEM-
	-if [ ! -z "$(cleantarget)" ]; then \
	   $(MAKE) $(cmakefile) $(cleantarget); \
	 else \
	   $(MAKE) $(cmakefile) distclean || $(MAKE) $(cmakefile) clean; \
	 fi
	-$(MAKE) -f $(debdir)/Makefile.debian clean
	-test -f USERMEM- && mv USERMEM- USERMEM
	-rm -rf *~ *.orig ./#*# tmp.*
	-rm -f config.cache config.status config.h install config.log
	-rm -f debian/preinst debian/postinst \
	    debian/prerm debian/postrm debian/control
	-rmdir debian
	find -name '*~' -print0 | xargs -r0 rm --
	rm -f stamp-build stamp-historic stamp-basic

binary: binary-regular binary-historic binary-basic

binary-regular:
	test -f stamp-build || $(MAKE) -f $(debdir)/debian/rules build
	@if [ "`whoami`" = root ]; then \
	    $(MAKE) -f $(debdir)/debian/rules binary-regular-root; \
	else \
	  echo "Enter the root password to build the .deb file..."; \
	  su -c "exec $(MAKE) -f $(debdir)/debian/rules binary-regular-root"; \
	fi

binary-historic:
	test -f stamp-build || $(MAKE) -f $(debdir)/debian/rules build
	@if [ "`whoami`" = root ]; then \
	    $(MAKE) -f $(debdir)/debian/rules binary-historic-root; \
	else \
	  echo "Enter the root password to build the .deb file..."; \
	  su -c "exec $(MAKE) -f $(debdir)/debian/rules binary-historic-root"; \
	fi

binary-basic:
	test -f stamp-build || $(MAKE) -f $(debdir)/debian/rules build
	@if [ "`whoami`" = root ]; then \
	    $(MAKE) -f $(debdir)/debian/rules binary-basic-root; \
	else \
	  echo "Enter the root password to build the .deb file..."; \
	  su -c "exec $(MAKE) -f $(debdir)/debian/rules binary-basic-root"; \
	fi

binary-regular-root: binary-package-start
	$(MAKE) -f $(debdir)/debian/rules binary-package \
	    "p=$(p)" "pp=$(pp)" "v=$(v)" "d=$(d)" "c=$(c)" \
	    "a=$(a)" "m=$(m)"

binary-historic-root: binary-package-start
	if $(debdir)/debian/testhistoric.sh; \
 	then \
	    $(MAKE) -f $(debdir)/debian/rules binary-package \
		"p=$(p)" "pp=$(pp)" "v=$(v)" "d=$(d)" "c=$(c)" \
		"a=$(a)" "m=$(m)" k=historic; \
	fi

binary-basic-root: binary-package-start
	if $(debdir)/debian/testbasic.sh; \
 	then \
	    $(MAKE) -f $(debdir)/debian/rules binary-package \
		"p=$(p)" "pp=$(pp)" "v=$(v)" "d=$(d)" "c=$(c)" \
		"a=$(a)" "m=$(m)" k=basic; \
	fi

binary-package-start:
# Makes the start of a binary package.
	rm -rf debian-tmp
	install -d -g root -m 755 -o root debian-tmp
	chmod g-s debian-tmp
	install -d -g root -m 755 -o root debian-tmp/DEBIAN
	install -d -g root -m 755 -o root debian-tmp/usr/bin
	install -d -g root -m 755 -o root debian-tmp/usr/man/man1
	$(MAKE) $(cmakefile) $(installtarget) bindir=debian-tmp/usr/bin \
	    mandir=debian-tmp/usr/man BIN=debian-tmp/usr/bin \
	    MAN=debian-tmp/usr/man/man1
	if [ ! -f debian-tmp/usr/bin/compress ]; \
	then \
	    echo; echo "*** [$(debdir)/debian/rules] compress was not installed!"; exit 1; \
	fi
	if [ -z "`grep man Makefile`" ]; then \
	    $(MAKE) -f $(debdir)/Makefile.debian install-man \
		bindir=debian-tmp/usr/bin \
		mandir=debian-tmp/usr/man; \
	fi

binary-package:
# Makes a binary package.
	if [ ! -d debian ]; then mkdir debian; fi
	$(debdir)/debian/mkdebcleanup.sh $(pp) \
	    $(debdir)/debian/control$(kk) $(k) >debian/control
	find debian-tmp/usr/man ! -type d -a -name '*.[0-9]*' -print | \
	    xargs gzip -9f
	$(debdir)/debian/mkdebscripts.sh $(p) $(v)$(dd) "$(k)" \
	    debian-tmp $(debdir)/debian debian
	-test -f debian/preinst && \
	  install -g root -m 755 -o root debian/preinst \
	    debian-tmp/DEBIAN/preinst
	-test -f debian/postinst && \
	  install -g root -m 755 -o root debian/postinst \
	    debian-tmp/DEBIAN/postinst
	-test -f debian/prerm && \
	  install -g root -m 755 -o root debian/prerm \
	    debian-tmp/DEBIAN/prerm
	-test -f debian/postrm && \
	  install -g root -m 755 -o root debian/postrm \
	    debian-tmp/DEBIAN/postrm
	if [ ! -z "$(docs)" ]; then \
	  install -d -g root -m 755 -o root debian-tmp/usr/doc/$(p); \
	  install -g root -m 644 -o root $(docs) \
	    debian-tmp/usr/doc/$(p); \
	fi
	install -d -g root -m 755 -o root debian-tmp/usr/doc/copyright
	install -g root -m 644 -o root $(debdir)/debian/README \
	  debian-tmp/usr/doc/copyright/$(c)
	sed -e '1s/=P/$(p)/' -e "2s/=M/$(m)/" \
	    -e '3s/=V/$(v)/' -e '3s/=DD/$(dd)/' \
	    -e 's/=A/$(a)/' -e 's/=DEP/$(pp) (=$(v))/' \
		debian/control > debian-tmp/DEBIAN/control
	chmod 644 debian-tmp/DEBIAN/control
	dpkg --build debian-tmp
	mv debian-tmp.deb ../$(p)_$(v)$(dd)_$(a).deb && \
	    dpkg-name --overwrite ../$(p)_$(v)$(dd)_$(a).deb

source:
# Makes a source package.
	-test -f stamp-build && make -f $(debdir)/debian/rules clean
	( cd .. && tar cf - $(p)-$(v) | gzip -9f > $(pp)_$(v)$(dd).tar.gz )

diff:

dist: binary source diff
# Prepares the package for distribution.

orig:
# Prepares the original package from the previous
# Debian revision source package and context diff.
	( cd .. \
	  && mkdir $(pp).orig \
	  && cd $(pp).orig \
	  && tar xzf ../$(pp)_$(pv)-`expr $(pd) - 1`.tar.gz \
	  && cd $(pp)-$(pv) \
	  && (gzip -dc ../../$(pp)_$(pv)-`expr $(pd) - 1`.diff.gz \
	    | patch -sER -p1 ) \
	  && find . -name "*.orig" -exec rm -f {} \; \
	  && cd .. \
	  && mv $(pp)-$(pv) ../$(pp)-$(pv).orig \
	  && cd .. \
	  && rmdir $(pp).orig )
	touch stamp-orig

=== src/modules/pcmcia-cs/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file - for pcmcia-cs.
# Copyright 1996 by Brian Mays
# Patterned after the hello package by Ian Jackson.

package=pcmcia-cs
KSRC=/usr/src/linux
MOD_DIR='.'
kvers=`sed -n -e 's/^UTS_RELEASE=\(.*\)/\1/p' config.mk`

# Automatically (non-interactively) configures the package using the
# kernel source tree.
.prereq.ok:
	echo -e "$(KSRC)\n\n\n\n\n2\n" | ./Configure
	$(RM) build build-modules

build:	.prereq.ok
	$(checkdir)
	$(MAKE) DIRS="$(shell sed -n -e \
	  '/DIRS = /{s/DIRS = //g; s/modules //g; p; }' Makefile)" all
	touch build

build-modules:	.prereq.ok
	$(checkdir)
	ln -sf ../config.h modules/linux/config.h
	ln -sf ../config.h modules/linux/version.h
	$(MAKE) -C modules all
	touch build-modules

clean:
	$(checkdir)
	$(RM) build build-modules
	cat debian/control-{source,cs} > debian/control
	-$(MAKE) clean
	$(RM) modules/linux/config.h modules/linux/version.h
	$(RM) cardmgr/cardinfo
	$(RM) -r *~ debian/tmp debian/tmp-modules debian/src debian/*~ \
	  debian/files* debian/control-modules

binary-indep:

binary-arch:	checkroot binary-cs binary-source
	$(checkdir)

binary-cs:	checkroot build
	$(checkdir)
	cat debian/control-{source,cs} > debian/control
	$(RM) -r debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
# Install Debian package control information files
	cp debian/{pre,post}{inst,rm} debian/tmp/DEBIAN/.
	chmod +x debian/tmp/DEBIAN/{pre,post}{inst,rm}
# Install directories
	install -d debian/tmp/{etc,sbin,usr/{X11R6/bin,man/man{1,4,5,8}}}
# Install files
	$(MAKE) DIRS="$(shell sed -n -e \
	  '/DIRS = /{s/DIRS = //g; s/modules //g; p; }' Makefile)" \
	  PREFIX=`pwd`/debian/tmp install
# Strip binaries
	strip debian/tmp/usr/X11R6/bin/* debian/tmp/sbin/*
# Find configuration files
	find debian/tmp/etc -not -type d | sed -e 's%debian/tmp%%' \
	  > debian/tmp/DEBIAN/conffiles
# Install documentation
	cp SUPPORTED.CARDS CHANGES README debian/tmp/usr/doc/$(package)/.
	cp debian/notes debian/tmp/usr/doc/$(package)/notes.Debian
# Install changelog & copyright
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9v debian/tmp/usr/doc/$(package)/*
	gzip -9v debian/tmp/usr/man/*/*
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
# Determine shared library dependencies
	dpkg-shlibdeps cardmgr/cardmgr cardmgr/cardctl cardmgr/ifport \
	  cardmgr/waveinfo cardmgr/scsi_info cardmgr/probe \
	  flash/ftl_format flash/ftl_check -dSuggests \
	  $(shell test -f cardmgr/cardinfo && echo cardmgr/cardinfo)
# Genereate deb file
	dpkg-gencontrol -ppcmcia-cs
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg-deb --build debian/tmp ..

binary-source:	checkroot build
	$(checkdir)
	cat debian/control-{source,cs} > debian/control
	$(RM) -r debian/src
	install -d debian/src debian/src/DEBIAN
# Install Debian package control information files
	cp debian/prerm-source debian/src/DEBIAN/prerm
	chmod +x debian/src/DEBIAN/prerm
# Install directories
	install -d debian/src/usr/src/modules/$(package)
# Install files
	find . \( -path ./debian/src -o -name 'tmp*' -o -name doc -o \
	  -name PCMCIA-HOWTO \) -prune -o -print | \
	  cpio -admp debian/src/usr/src/modules/$(package)
	cd debian/src/usr/src/modules/$(package) && \
	  $(MAKE) -f debian/rules clean
# Genereate deb file
	dpkg-gencontrol -ppcmcia-source -Pdebian/src
	chown -R root.root debian/src
	chmod -R g-ws debian/src
	dpkg-deb --build debian/src && dpkg-name -o -s .. debian/src.deb

binary-modules:	checkroot build-modules
	$(checkdir)
	cat debian/control-source > debian/control-modules
	sed -e "s/\$${kvers}/$(kvers)/" debian/control-modules.in \
	  >> debian/control-modules
	$(RM) -r debian/tmp-modules
	install -d debian/tmp-modules debian/tmp-modules/DEBIAN
	install -d "debian/tmp-modules/usr/doc/pcmcia-modules-$(kvers)"
# Install Debian package control information files
	cp debian/postinst-modules debian/tmp-modules/DEBIAN/postinst
	cp debian/prerm debian/tmp-modules/DEBIAN/prerm
	chmod +x debian/tmp-modules/DEBIAN/{postinst,prerm}
# Install files
	$(MAKE) DIRS=modules PREFIX=`pwd`/debian/tmp-modules install
# Install changelog & copyright
	cp debian/changelog \
	  debian/tmp-modules/usr/doc/pcmcia-modules-$(kvers)/changelog.Debian
	gzip -9v debian/tmp-modules/usr/doc/pcmcia-modules-*/*
	cp debian/copyright  \
	  debian/tmp-modules/usr/doc/pcmcia-modules-$(kvers)/.
# Genereate deb file
	kvers=$(kvers) && \
	  dpkg-gencontrol -Vkvers=$$kvers -p"pcmcia-modules-$$kvers" \
	    -Pdebian/tmp-modules -cdebian/control-modules \
	    -fdebian/files-modules
	chown -R root.root debian/tmp-modules
	chmod -R g-ws debian/tmp-modules
	dpkg-deb --build debian/tmp-modules $(MOD_DIR)/..

# Makes a binary package.  Uses the kernel source in the $(KSRC) directory
# to configure the modules.
kdist_image:	checkroot clean
	$(checkdir)
	$(MAKE) -f debian/rules MOD_DIR=$(KSRC) binary-modules

# Makes a debian changes file.  Intended for the kernel maintainer.
kdist_changes:
	@echo >&2 'Note: kdist_changes is obsolete'

# Prepares the package for distribution.  Intended for the kernel
# maintainer.
kdist:	kdist_image
	if [ "x$(KMAINT)" != x ]; then kmaint="$(KMAINT)"; fi; \
	  package=pcmcia-modules-$(kvers) && \
	  version=`dpkg-parsechangelog | sed -n 's/^Version: //p'` && \
	  arch=`dpkg --print-architecture` && \
	  chfile=$(KSRC)/../$${package}_$${version}_$${arch}.changes && \
	  dpkg-genchanges -b $${kmaint:+-m"$$kmaint"} -u$(KSRC)/.. \
	    -cdebian/control-modules -fdebian/files-modules > $$chfile.pt && \
	  pgp -fast $${kmaint:+-u$$kmaint} < $$chfile.pt > $$chfile && \
	  $(RM) $$chfile.pt

define checkdir
	test -f man/pcmcia.5 -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep binary-modules \
	clean checkroot kconf kdist kdist_image kdist_changes
